CumulativeStudentDistribution Class Reference

Cumulative Student t-distribution. More...

`#include <ql/math/distributions/studenttdistribution.hpp>`

## Public Types

typedef Real | argument_type
typedef Real | result_type

## Public Member Functions

| CumulativeStudentDistribution (Integer n)
Real | operator() (Real x) const

## Detailed Description

Cumulative Student t-distribution.

Cumulative distribution function for \( n \) degrees of freedom (see mathworld.wolfram.com):

\[ F(x) = \int_{-\infty}^x\,f(y)\,dy = \frac{1}{2}\, +\,\frac{1}{2}\,sgn(x)\, \left[ I\left(1,\frac{n}{2},\frac{1}{2}\right) - I\left(\frac{n}{n+y^2}, \frac{n}{2},\frac{1}{2}\right)\right] \]

where \( I(z; a, b) \) is the regularized incomplete beta function.